> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a namespace by ID

> Retrieve a single namespace by its UUID



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/taxonomy/v1/namespaces/{namespaceId}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/taxonomy/v1/namespaces/{namespaceId}:
    get:
      tags:
        - Tags
      summary: Get a namespace by ID
      description: Retrieve a single namespace by its UUID
      parameters:
        - description: Namespace UUID
          name: namespaceId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_taxonomy.Namespace'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
components:
  schemas:
    data-taxonomy-service_taxonomy.Namespace:
      type: object
      properties:
        allowMultipleAssignments:
          type: boolean
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.User'
        description:
          type: string
        entityCount:
          $ref: >-
            #/components/schemas/data-taxonomy-service_taxonomy.EntityCountByType
        id:
          type: string
        label:
          type: string
        status:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.NamespaceStatus'
        tagCount:
          type: integer
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.User'
    data-taxonomy-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-taxonomy-service_taxonomy.User:
      type: object
      properties:
        userID:
          type: string
        username:
          type: string
    data-taxonomy-service_taxonomy.EntityCountByType:
      type: object
      properties:
        app:
          type: integer
        dataset:
          type: integer
        environment:
          type: integer
        model:
          type: integer
        netappVolume:
          type: integer
        project:
          type: integer
        projectTemplate:
          type: integer
        total:
          type: integer
    data-taxonomy-service_taxonomy.NamespaceStatus:
      type: string
      enum:
        - active
        - deprecated
      x-enum-varnames:
        - NamespaceStatusActive
        - NamespaceStatusDeprecated

````

## Related topics

- [Get a tag by ID](/6.3/api-reference/tags/get-a-tag-by-id.md)
- [Get volume by ID](/6.3/api-reference/netapp-volumes/get-volume-by-id.md)
- [Get customer project template by id](/6.3/api-reference/project-templates/get-customer-project-template-by-id.md)
- [Get an Extension by id](/6.3/api-reference/extensions/get-an-extension-by-id.md)
